SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

CREATE DATABASE `pwd_db` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `pwd_db`;

CREATE TABLE IF NOT EXISTS `history` (
  `history_id` int(11) NOT NULL AUTO_INCREMENT,
  `pwd_id` int(11) NOT NULL,
  `login` text NOT NULL,
  `last_read` text NOT NULL,
  PRIMARY KEY (`history_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2086 ;

CREATE TABLE IF NOT EXISTS `pwd_table` (
  `pwd_id` int(11) NOT NULL AUTO_INCREMENT,
  `type` text CHARACTER SET utf8 NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` blob NOT NULL,
  `url` text CHARACTER SET utf8 NOT NULL,
  `comment` text CHARACTER SET utf8 NOT NULL,
  `acl` longtext CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`pwd_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3220 ;

CREATE USER 'itpwd'@'localhost' IDENTIFIED BY 'itpwd';
GRANT ALL PRIVILEGES ON *.* TO `itpwd`@`localhost` IDENTIFIED BY 'itpwd' WITH GRANT OPTION MAX_QUERIES_PER_HOUR 0 MAX_CONNECTIONS_PER_HOUR 0 MAX_UPDATES_PER_HOUR 0 MAX_USER_CONNECTIONS 0 ;
GRANT SELECT , 
INSERT ,
UPDATE ,
DELETE ,
CREATE ,
REFERENCES ,
INDEX ,
SHOW VIEW ON `pwd_db`.`history` TO `itpwd`@`localhost` WITH GRANT OPTION ;
